# Uses of Interface
org.eclipse.rap.rwt.service.SettingStoreFactory

Packages that use SettingStoreFactory
Package
Description
org.eclipse.rap.rwt.application
org.eclipse.rap.rwt.service

## Uses of SettingStoreFactory in org.eclipse.rap.rwt.application

Methods in org.eclipse.rap.rwt.application with parameters of type SettingStoreFactory
Modifier and Type
Method
Description
`void`
Application.`setSettingStoreFactory(SettingStoreFactory settingStoreFactory)`
Configure this application to use a custom setting store implementation.

## Uses of SettingStoreFactory in org.eclipse.rap.rwt.service

Classes in org.eclipse.rap.rwt.service that implement SettingStoreFactory
Modifier and Type
Class
Description
`final class`
`FileSettingStoreFactory`
A setting store factory that creates instances of `FileSettingStore`.